Bug 426197 - libacl update crashes pup/pirut with sk_SK language
libacl update crashes pup/pirut with sk_SK language
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dimitris Glezos
A S Alam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 03:30 EST by Adam Pribyl
Modified: 2013-07-02 20:46 EDT (History)
6 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (484 bytes, patch)
2007-12-19 06:46 EST, Jiri Moskovcak
no flags Details | Diff
Updated Slovak translation (24.04 KB, text/x-gettext-translation)
2007-12-20 02:50 EST, Pavol Šimo
no flags Details

  None (edit)
Description Adam Pribyl 2007-12-19 03:30:00 EST
Description of problem:
This is probably due to some problem with the translation of libacl.

Trace:

Component: pirut
Summary: TB2f66aac2 __init__.py:633:keyImportCallback:TypeError: not all
arguments converted during string formatting

Traceback (most recent call last):
File "/usr/sbin/pup", line 406, in _apply
output = self.applyChanges(self.mainwin)
File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 803, in applyChanges
self.checkSignatures(dlpkgs, mainwin)
File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 662, in
checkSignatures
self.getKeyForPackage(po, fullaskcb = keyImportCallback)
File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 2177, in
getKeyForPackage
"fingerprint": fingerprint, "timestamp": timestamp})
File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 633, in
keyImportCallback
"import this key?") %(po, userid, hexkeyid, keyurl)
TypeError: not all arguments converted during string formatting

Local variables in innermost frame:
d: <gtk.MessageDialog object at 0xf084324 (GtkMessageDialog at 0xf0c1030)>
mainwin: <gtk.Window object at 0x91c5dc4 (GtkWindow at 0x92110e0)>
userid: Fedora Project <fedora@redhat.com>
keyurl: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
keydict: {'timestamp': 1067294011, 'userid': 'Fedora Project
<fedora@redhat.com>', 'keyurl': 'file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora',
'fingerprint': <bound method public_key.fingerprint of <yum.pgpmsg.public_key
instance at 0xf074e6c>>, 'hexkeyid': '4F2A6FD2', 'po':
<yum.sqlitesack.YumAvailablePackageSqlite object at 0xd765aec>}
hexkeyid: 4F2A6FD2
po: libacl - 2.2.39-12.fc8.i386
Comment 1 Jiri Moskovcak 2007-12-19 06:46:10 EST
Created attachment 290005 [details]
Proposed patch

It's a bug in pirut slovak translation. This patch should fix it. Reasigning to

pirut.

Jirka
Comment 2 Pavol Šimo 2007-12-20 02:50:47 EST
Created attachment 290130 [details]
Updated Slovak translation

Attached is completed Slovak translation of pirut because I have trouble
submitting it to https://translate.fedoraproject.org/submit/module/pirut (500
Internal error).

Pal'o
Comment 3 Lubomir Kundrak 2007-12-20 08:29:32 EST
See bug #405871.
Jeremy, __pleeease__ commit the PO.
Comment 4 Lubomir Kundrak 2008-02-20 08:17:48 EST
I guess the updated po didn't make it into a stable release. Is this issue still
present?
Comment 5 Jeremy Katz 2008-05-28 15:24:50 EDT
It's fixed in git and will be in the package which will be going out in the next
little bit (perhaps later today)
Comment 6 Bug Zapper 2008-11-26 04:04:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jon Stanley 2008-11-26 12:37:06 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.